## star-wars-lockscreen 2.0

=== debian/changelog ===
star-wars-lockscreen (2.0) stable; urgency=low

  initial release.

 -- Zifis <>  thu, 29 Sep 2011 17:00:51 +0000
