=== debian/control ===
Source: star-wars-lockscreen
Section: user/graphics
Priority: extra
Maintainer: Zifis <>
Build-Depends: libqt4-dev
Standards-Version: 2.0

Package: star-wars-lockscreen
Architecture: all
Depends: qtlockscreen, qtlockscreenconfig
Description:  star wars style loockscreen, Play/pause is the album art, battery is on the lightsaber grip and to unlock use the lightsaber. you must activate it by QtLockscreen Configuration
XB-Maemo-Display-Name: Star Wars Lockscreen
XSBC-Bugtracker:
XB-Maemo-Icon-26:
