=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/star-wars-lockscreen" install
	mkdir -p "$(CURDIR)/debian/star-wars-lockscreen"

	mkdir -p "$(CURDIR)/debian/star-wars-lockscreen/usr/share/fonts/"
	cp -a "src/usr/share/fonts/Starjedi.ttf" "$(CURDIR)/debian/star-wars-lockscreen/usr/share/fonts/"

	mkdir -p "$(CURDIR)/debian/star-wars-lockscreen/opt/qtlockscreen/"
	cp -a "src/opt/qtlockscreen/wars" "$(CURDIR)/debian/star-wars-lockscreen/opt/qtlockscreen/"

	cp -a "src/opt/qtlockscreen/wars.ini" "$(CURDIR)/debian/star-wars-lockscreen/opt/qtlockscreen/"
	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
#	dh_strip --dbg-package=appname-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
